Bug#488265: linux-image-2.6-amd64-etchnhalf: Problem using bnx2 module - Debian

This is a discussion on Bug#488265: linux-image-2.6-amd64-etchnhalf: Problem using bnx2 module - Debian ; Package: linux-image-2.6-amd64-etchnhalf Version: 2.6.24+13~etchnhalf.1 Severity: important bnx2 modules is useless on this kernel package Loading Linux version 2.6.24-etchnhalf.1-amd64 (Debian 2.6.24-6~etchnhalf.3) (dannf@debian.org) (gcc version 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)) #1 SMP It is an ibm x3650 server bnx2: Can't load firmware ...

+ Reply to Thread
Results 1 to 5 of 5

Thread: Bug#488265: linux-image-2.6-amd64-etchnhalf: Problem using bnx2 module

  1. Bug#488265: linux-image-2.6-amd64-etchnhalf: Problem using bnx2 module

    Package: linux-image-2.6-amd64-etchnhalf
    Version: 2.6.24+13~etchnhalf.1
    Severity: important


    bnx2 modules is useless on this kernel package

    Loading Linux version 2.6.24-etchnhalf.1-amd64 (Debian 2.6.24-6~etchnhalf.3) (dannf@debian.org) (gcc version 4.1.2 20061115 (prerelease) (Debian
    4.1.1-21)) #1 SMP

    It is an ibm x3650 server

    bnx2: Can't load firmware file bnx2-06-4.0.5.fw
    ACPI: PCI interrupt for device 0000:04:00.0 disabled
    bnx2: probe of 0000:04:00.0 failed with error -2


    Thanks,


    -- System Information:
    Debian Release: 4.0
    APT prefers stable
    APT policy: (500, 'stable')
    Architecture: amd64 (x86_64)
    Shell: /bin/sh linked to /bin/bash
    Kernel: Linux 2.6.18-6-amd64
    Locale: LANG=C, LC_CTYPE=el_GR (charmap=ISO-8859-7)

    Versions of packages linux-image-2.6-amd64-etchnhalf depends on:
    ii linux-image-2.6.24- 2.6.24-6~etchnhalf.3 Linux 2.6.24 image on AMD64

    linux-image-2.6-amd64-etchnhalf recommends no packages.

    -- no debconf information



    --
    To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  2. Bug#488265: marked as done (linux-image-2.6-amd64-etchnhalf: Problem using bnx2 module)


    Your message dated Fri, 27 Jun 2008 09:27:17 -0600
    with message-id <20080627152716.GA17569@colo.lackof.org>
    and subject line Re: Bug#488265: linux-image-2.6-amd64-etchnhalf: Problem using bnx2 module
    has caused the Debian Bug report #488265,
    regarding linux-image-2.6-amd64-etchnhalf: Problem using bnx2 module
    to be marked as done.

    This means that you claim that the problem has been dealt with.
    If this is not the case it is now your responsibility to reopen the
    Bug report if necessary, and/or fix the problem forthwith.

    (NB: If you are a system administrator and have no idea what this
    message is talking about, this may indicate a serious mail system
    misconfiguration somewhere. Please contact owner@bugs.debian.org
    immediately.)


    --
    488265: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=488265
    Debian Bug Tracking System
    Contact owner@bugs.debian.org with problems


  3. Bug#488265: linux-image-2.6-amd64-etchnhalf: Problem using bnx2 module

    On Fri, Jun 27, 2008 at 04:03:36PM +0300, Evaggelos Souglakos wrote:
    > Package: linux-image-2.6-amd64-etchnhalf
    > Version: 2.6.24+13~etchnhalf.1
    > Severity: important
    >
    >
    > bnx2 modules is useless on this kernel package
    >
    > Loading Linux version 2.6.24-etchnhalf.1-amd64 (Debian 2.6.24-6~etchnhalf.3) (dannf@debian.org) (gcc version 4.1.2 20061115 (prerelease) (Debian
    > 4.1.1-21)) #1 SMP
    >
    > It is an ibm x3650 server
    >
    > bnx2: Can't load firmware file bnx2-06-4.0.5.fw
    > ACPI: PCI interrupt for device 0000:04:00.0 disabled
    > bnx2: probe of 0000:04:00.0 failed with error -2


    You need to install the firmware-bnx2 package from non-free. See the
    release notes draft here:
    http://people.debian.org/~dannf/tmp/etchnhalf/

    --
    dann frazier




    --
    To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  4. Bug#488265: linux-image-2.6-amd64-etchnhalf: Problem using bnx2 module

    Hello,
    I have already installed the firmware-bnx2 package

    dpkg -l |grep bnx
    ii firmware-bnx2 0.11~bpo40+1 Binary firmware
    for Broadcom NetXtremeII

    dpkg -l | grep linux-image-2.6-amd64-etchnhalf
    ii linux-image-2.6-amd64-etchnhalf 2.6.24+13~etchnhalf.1 Linux
    2.6-etchnhalf image on AM

    but on kernel boot i can still see:

    bnx2: Can't load firmware file bnx2-06-4.0.5.fw

    Is it supposed to get these files from /lib/firmware?

    As you can see there are at this dir.

    ls -l /lib/firmware/
    total 216
    -rw-r--r-- 1 root root 106116 Jun 5 11:29 bnx2-06-4.0.5.fw
    -rw-r--r-- 1 root root 102844 Jun 5 11:29 bnx2-09-4.0.5.fw

    I would appreciate any further help

    Thank you,

    On Friday 27 June 2008 18:27:17 dann frazier wrote:
    > On Fri, Jun 27, 2008 at 04:03:36PM +0300, Evaggelos Souglakos wrote:
    > > Package: linux-image-2.6-amd64-etchnhalf
    > > Version: 2.6.24+13~etchnhalf.1
    > > Severity: important
    > >
    > >
    > > bnx2 modules is useless on this kernel package
    > >
    > > Loading Linux version 2.6.24-etchnhalf.1-amd64 (Debian
    > > 2.6.24-6~etchnhalf.3) (dannf@debian.org) (gcc version 4.1.2 20061115
    > > (prerelease) (Debian 4.1.1-21)) #1 SMP
    > >
    > > It is an ibm x3650 server
    > >
    > > bnx2: Can't load firmware file bnx2-06-4.0.5.fw
    > > ACPI: PCI interrupt for device 0000:04:00.0 disabled
    > > bnx2: probe of 0000:04:00.0 failed with error -2

    >
    > You need to install the firmware-bnx2 package from non-free. See the
    > release notes draft here:
    > http://people.debian.org/~dannf/tmp/etchnhalf/




    --
    ================================================== ===========================
    Evaggelos Souglakos OTEnet Internet Service Provider
    Unix Systems Engineer Systems & Services Section
    e-mail: evansg@otenet.gr Telephone No. +30-210-6151663
    ================================================== ===========================

    The most successful people are those who are good at plan B





    --
    To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  5. Bug#488265: linux-image-2.6-amd64-etchnhalf: Problem using bnx2 module

    On Fri, Jun 27, 2008 at 09:39:25PM +0300, Evaggelos Souglakos wrote:
    > Hello,
    > I have already installed the firmware-bnx2 package
    >
    > dpkg -l |grep bnx
    > ii firmware-bnx2 0.11~bpo40+1 Binary firmware
    > for Broadcom NetXtremeII


    You need the one from proposed-updates. The one in sid only works with
    an initramfs-tools package version that knows how to copy firmware
    files over. The one in proposed-updates provides its own hook to work
    with etch's initramfs-tools.

    > dpkg -l | grep linux-image-2.6-amd64-etchnhalf
    > ii linux-image-2.6-amd64-etchnhalf 2.6.24+13~etchnhalf.1 Linux
    > 2.6-etchnhalf image on AM
    >
    > but on kernel boot i can still see:
    >
    > bnx2: Can't load firmware file bnx2-06-4.0.5.fw
    >
    > Is it supposed to get these files from /lib/firmware?
    >
    > As you can see there are at this dir.
    >
    > ls -l /lib/firmware/
    > total 216
    > -rw-r--r-- 1 root root 106116 Jun 5 11:29 bnx2-06-4.0.5.fw
    > -rw-r--r-- 1 root root 102844 Jun 5 11:29 bnx2-09-4.0.5.fw
    >
    > I would appreciate any further help
    >
    > Thank you,
    >
    > On Friday 27 June 2008 18:27:17 dann frazier wrote:
    > > On Fri, Jun 27, 2008 at 04:03:36PM +0300, Evaggelos Souglakos wrote:
    > > > Package: linux-image-2.6-amd64-etchnhalf
    > > > Version: 2.6.24+13~etchnhalf.1
    > > > Severity: important
    > > >
    > > >
    > > > bnx2 modules is useless on this kernel package
    > > >
    > > > Loading Linux version 2.6.24-etchnhalf.1-amd64 (Debian
    > > > 2.6.24-6~etchnhalf.3) (dannf@debian.org) (gcc version 4.1.2 20061115
    > > > (prerelease) (Debian 4.1.1-21)) #1 SMP
    > > >
    > > > It is an ibm x3650 server
    > > >
    > > > bnx2: Can't load firmware file bnx2-06-4.0.5.fw
    > > > ACPI: PCI interrupt for device 0000:04:00.0 disabled
    > > > bnx2: probe of 0000:04:00.0 failed with error -2

    > >
    > > You need to install the firmware-bnx2 package from non-free. See the
    > > release notes draft here:
    > > http://people.debian.org/~dannf/tmp/etchnhalf/

    >
    >
    >


    --
    dann frazier




    --
    To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

+ Reply to Thread